Subject: Cacheable viewhelpers
Description

we need a concept for cacheable viewhelpers

Related issues:
related to TYPO3.Fluid - Feature # 43457: Cacheable partials Closed 2012-11-29
related to TYPO3.Fluid - Feature # 60181: Caching mechanism for Fluid Views/T... New 2014-07-08

History
#1 - 2011-05-05 18:28 - Sebastian Kurfuerst
- Tracker changed from Feature to Story

#2 - 2011-05-06 11:03 - Sebastian Kurfuerst
- Tracker changed from Story to Feature

#3 - 2012-03-12 12:06 - Christian Müller
- Status changed from New to Needs Feedback
- Has patch set to No

Isn't that obsolete with the Fluid caching as is?

#4 - 2012-11-29 17:00 - Bastian Waidelich

Ha, just stumbled upon this one ;)

Christian Mueller wrote:

Isn't that obsolete with the Fluid caching as is?

"Fluid caching" is the wrong word. It's rather a "compilation": Fluid templates get compiled into PHP code with static snippets. Depending on the
ViewHelpers, such a compiled template can still take a while to render. Thus cache VH would still make sense.
Here the basic one I created today:
https://gist.github.com/4168523

But I'm not sure, if it makes sense to include such VH to the distribution.
It probably makes more sense to add such behavior to the View itself in order to be able to cache partials/sections (see #43457)
